Java 9.0

Bei Problemen mit der Bedienung von TV-Browser, bitte hier posten.
Mario

Re: Java 9.0

Beitragvon Mario » 27 Sep 2017, 16:33

Danke für den Fix.

x86 gibts bei chip.de

w*w*w.chip.de/news/Java-9-ist-da-Riesen-Update-nach-jahrelanger-Entwicklung_107563743.h*t*m*l

Delgado
Newbie
Beiträge: 7
Registriert: 24 Jul 2009, 23:11

Re: Java 9.0

Beitragvon Delgado » 27 Sep 2017, 18:14

Wo die das wohl her haben? Wahrscheinlich vom ftp-Server, auf der offiziellen Download-Seite bei Oracle taucht es jedenfalls noch nicht auf.

Hast du die geladen, und funktioniert TV-Browser damit auch ohne den Fix?

ds10
Site Admin
Beiträge: 16244
Registriert: 23 Jun 2005, 12:36
Kontaktdaten:

Re: Java 9.0

Beitragvon ds10 » 28 Sep 2017, 15:14

Das wäre unlogisch, denn Java 9 enthält ein Modulsystem, daher der andere Startbefehl. An sich ist es ein Fehler in der Designentscheidung für Java 9, die installierten Java-Module hätten beim Start von java ohne eine Modulangabe automatisch geladen werden sollen, dann müsste auch kein Java-Programm extra eine Anpassung vornehmen. Es ist das erste Mal, dass eine Java-Version die Abwärtskompatibilität bricht und dann auch noch mit der Vorversion. Die Sache wird auch noch dadurch erschwert, dass der Kommandozeilenparameter --add-modules vom alten Java nicht verstanden wird und es aber auch nicht so tolerant ist, diesen Parameter dann einfach zu ignorieren, die Startbefehle für TV-Browser unterscheiden sich daher zwischen Java bis Version 8 und Java ab Version 9.
"First they ignore you, then they ridicule you, then they fight you, then you win." - Mahatma Gandhi
Unterstütze die Weiterentwicklung von TV-Browser

herbi

Re: Java 9.0

Beitragvon herbi » 06 Okt 2017, 18:39

Hat jemand eine Idee wie man die macOS version von TV-Browser mit Java 9 zum Starten bringt?

ds10
Site Admin
Beiträge: 16244
Registriert: 23 Jun 2005, 12:36
Kontaktdaten:

Re: Java 9.0

Beitragvon ds10 » 06 Okt 2017, 22:29

Du könntest versuchen die Info.plist der TV-Browser App mit einem Editor zu öffnen und unter:

Code: Alles auswählen

<key>JVMOptions</key>
<array>
einen neuen Eintrag zu ergänzen:

Code: Alles auswählen

<string>--add-modules=ALL-SYSTEM</string>
"First they ignore you, then they ridicule you, then they fight you, then you win." - Mahatma Gandhi
Unterstütze die Weiterentwicklung von TV-Browser

herbi

Re: Java 9.0

Beitragvon herbi » 07 Okt 2017, 12:35

Danke für die rasche Antwort!
Sorry, der Eintrag <string>--add-modules=ALL-SYSTEM</string> in der info.plist alleine ist es noch nicht. Beim Starten vom TV-Browser erscheint die Fehlermeldung „Die Java Laufzeitumgebung konnte nicht geladen werden”?
Hat jemand vielleicht noch eine Idee dazu?

ds10
Site Admin
Beiträge: 16244
Registriert: 23 Jun 2005, 12:36
Kontaktdaten:

Re: Java 9.0

Beitragvon ds10 » 07 Okt 2017, 14:33

Du könntest es noch mit der transportablen Version probieren und dort in der tvbrowser-transportable-mac.command den Befehl:

Code: Alles auswählen

"${JAVA_DIR}/java" -Xms16m -Xmx512m -Dapple.laf.useScreenMenuBar=true -Dcom.apple.macos.use-file-dialog-packages=true -Dcom.apple.smallTabs=true -Djava.library.path="${PROGRAM_DIR}" -jar tvbrowser.jar "$@"
zu ändern in:

Code: Alles auswählen

"${JAVA_DIR}/java" --add-modules=ALL-SYSTEM -Xms16m -Xmx512m -Dapple.laf.useScreenMenuBar=true -Dcom.apple.macos.use-file-dialog-packages=true -Dcom.apple.smallTabs=true -Djava.library.path="${PROGRAM_DIR}" -jar tvbrowser.jar "$@"
"First they ignore you, then they ridicule you, then they fight you, then you win." - Mahatma Gandhi
Unterstütze die Weiterentwicklung von TV-Browser

Delgado
Newbie
Beiträge: 7
Registriert: 24 Jul 2009, 23:11

Re: Java 9.0

Beitragvon Delgado » 08 Okt 2017, 14:10

Ich habe wegen der 32bit Version noch etwas nachgeforscht, offensichtlich plant Oracle nicht mehr weiter damit. Man könne aber sich selbst eine JDK Version basteln :roll:

https://stackoverflow.com/questions/463 ... -32-bit-os
(ein Stück runter scrollen)

Chief Java Architect Mark Reinhold in Twitter on September 25:

Sorry, but we have no plans to ship 32-bit builds of JDK 9. We’re trying to focus more on the future than the past.
Yes, you can build your own 32-bit JDK 9 binaries.

LigH
Junior Member
Beiträge: 29
Registriert: 20 Mär 2012, 20:17

Re: Java 9.0

Beitragvon LigH » 19 Okt 2017, 15:40

Ich habe aktuell Java 1.8.0_152 und Java 9.0.1 parallel installiert, in der Hoffnung, dass sich die bei mir installierten Java-Programme was passendes raussuchen können (entweder das aktuellste oder das bekannt kompatible). Bei TV-Browser funktionierte das soweit, er läuft mit v1.8.0_152; MediathekView und eclipse PDT tun das gleiche, ebenso ein älterer Minecraft-Launcher. Ich kenne einen Benutzer eines Bankprogramms "Jameica", den werde ich auch entsprechend informieren. Um Java 9 zu nutzen, müsste man da wohl überall jeweils noch manuelle Anpassungen vornehmen. Erstmal keine Hektik damit... noch gibt es Updates für Java v1.8. :roll:

Der im PATH enthaltene Knoten C:\ProgramData\Oracle\Java\javapath verweist jedenfalls zur v9.0.1-JRE; das bestätigt auch eine irgendwo aufgerufene "java.exe -version".
_

P.S.:
Wie hier erwähnt:
ds10 hat geschrieben:EDIT: Hier die entsprechend angepassten exe-Dateien:
tvbrowser_win.zip


Damit läuft TV-Browser mit Java 9.0.1 8)

Gast42

Re: Java 9.0

Beitragvon Gast42 » 28 Okt 2017, 18:31

Unter Linux genügt das Anpassen des tvbrowser.sh Shellskripts in /usr/share/tvbrowser.

Dazu muss man einfach die Datei tvbrowser.sh mit entsprechenden Rechten in einem Editor öffnen und folgenden Eintrag:

Code: Alles auswählen

echo "${JAVA_PROGRAM_DIR}java -Xms16m -Xmx512m  -Djava.library.path=\"${PROGRAM_DIR}\" -Dpropertiesfile=linux.properties -jar tvbrowser.jar '$@'"
${JAVA_PROGRAM_DIR}java -Xms16m -Xmx512m -Djava.library.path="${PROGRAM_DIR}" -Dpropertiesfile=linux.properties -jar tvbrowser.jar "$@"


nach

Code: Alles auswählen

# Für Java 9
echo "${JAVA_PROGRAM_DIR}java --add-modules=ALL-SYSTEM -Xms16m -Xmx512m  -Djava.library.path=\"${PROGRAM_DIR}\" -Dpropertiesfile=linux.properties -jar tvbrowser.jar '$@'"
${JAVA_PROGRAM_DIR}java --add-modules=ALL-SYSTEM -Xms16m -Xmx512m -Djava.library.path="${PROGRAM_DIR}" -Dpropertiesfile=linux.properties -jar tvbrowser.jar "$@"

# Für Java 8 und älter:
# echo "${JAVA_PROGRAM_DIR}java -Xms16m -Xmx512m  -Djava.library.path=\"${PROGRAM_DIR}\" -Dpropertiesfile=linux.properties -jar tvbrowser.jar '$@'"
# ${JAVA_PROGRAM_DIR}java -Xms16m -Xmx512m -Djava.library.path="${PROGRAM_DIR}" -Dpropertiesfile=linux.properties -jar tvbrowser.jar "$@"

ändern.

Wesentlich eleganter wäre es natürlich, wenn man die bereits im Skript enthaltene Java Versionsabfrage dazu nutzen würde, um abhängig von der Version entweder den Befehl für Java 9 oder den für Java 8 aufzurufen.
Aber das ist eine Aufgabe für die Paketmaintainer bzw. die Entwickler. Mir persönlich reicht obiger Hack.

Aber so als Ideenvorschlag, könntet ihr das ja schon einmal in das Shellskript einbauen, damit beim nächsten Release die richtigen Optionen aufgerufen werden.


Zurück zu „Hilfe“

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 12 Gäste